@charset "utf-8";
/* CSS Document */
.loader {
	/* [disabled]border-radius: 4px; */
	padding: 10px;
	/* [disabled]border: 1px solid #CCC; */
	/* [disabled]background-color: #FFC; */
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	-webkit-flex-direction: row;
	-ms-flex-direction: row;
	flex-direction: row;
	-webkit-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	-webkit-justify-content: center;
	-ms-flex-pack: center;
	justify-content: center;
	-webkit-align-content: stretch;
	-ms-flex-line-pack: stretch;
	align-content: stretch;
	-webkit-align-items: center;
	-ms-flex-align: center;
	align-items: center;
    }
.loader .icon {
	border-radius: 100%;
	-webkit-animation: spin 1.9s linear infinite;
	animation: spin 1.9s linear infinite;
	border-top-style: solid;
	border-right-style: solid;
	border-bottom-style: solid;
	border-left-style: solid;
}

.loader .tamanho-16px {
	width: 16px;
	height: 16px;
	border-width: 4px;
}
.loader .tamanho-32px {
	width: 32px;
	height: 32px;
	border-width: 6px;
}

.loader .modelo-1 {
	border-top-color: #3498db;
	border-right-color: #CCC;
	border-bottom-color: #CCC;
	border-left-color: #CCC;
}
.loader .modelo-2 {
	border-top-color: #3498db;
	border-right-color: #CCC;
	border-bottom-color: #3498db;
	border-left-color: #CCC;
}
.loader .modelo-3 {
	border-top-color: #3498db;
	border-right-color: #3498db;
	border-bottom-color: #3498db;
	border-left-color: #CCC;
}

.loader .modelo-4 {
	border-top-color: #558eca;
	border-right-color: #7bb0de;
	border-bottom-color: #acd2ef;
	border-left-color: #e0effa;
}
.loader .modelo-5 {
	border-top-color: #000000;
	border-right-color: #000000;
	border-bottom-color: #000000;
	border-left-color: #CCC;
}
.loader .msg {
	padding-left: 10px;
	font-size: 12px;
	font-weight: bold;
	color: #000;
}
.___________KEYFRAMES__________{}
@-webkit-keyframes spin {
	0% { -webkit-transform: rotate(0deg); }
	100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}
